package javacgc;


import java.util.ArrayList;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


public class Main {

    private static void carga_datos(Sucursal s){
        ArrayList<Producto> AP=new ArrayList<Producto>();
        ArrayList<Cliente> AC=new ArrayList<Cliente>();
        ArrayList<Caja> ACA=new ArrayList<Caja>();
        ArrayList<Empleado> AE= new ArrayList<Empleado>();
        

        Producto p1=new CCorriente();
        p1.setNumeroProducto("20984002161000015263");
      //  p1.setNombreTitular("Julian Martinez Morillas");
        Cliente c1=new Cliente();
            c1.setNombreCliente("Julian Martinez Morillas");
            c1.setDocumentacion("24784598J");
            c1.insertaProductoenCliente(p1);
            p1.insertaTitularenProducto(c1);
        AP.add(p1);
        AC.add(c1);
        
        Producto p2=new CCorriente();
        p2.setNumeroProducto("20984002181000015264");
       // p2.setNombreTitular("Javier Alvarez Cejudo");
        Cliente c2=new Cliente();
            c2.setNombreCliente("Javier Alvarez Cejudo");
            c2.setDocumentacion("22548544P");
            c2.insertaProductoenCliente(p2);
            p2.insertaTitularenProducto(c2);
        AP.add(p2);
         AC.add(c2);
      /* Producto p3=new CCorriente();
        p3.setNumeroProducto("20984002141000015265");
        p3.setNombreTitular("Martin Rivas Nistal");
        AP.add(p3);
        Producto p4=new CCorriente();
        p4.setNumeroProducto("20984002131000015266");
        p4.setNombreTitular("Alicia Rivas Cano");
        AP.add(p4);
        Producto p5=new CCorriente();
        p5.setNumeroProducto("20984002151000015267");
        p5.setNombreTitular("Julia Morente Castro");
        AP.add(p5);
        Producto p6=new CCorriente();
        p6.setNumeroProducto("20984002181000015268");
        p6.setNombreTitular("Antonio Recio Odon");
        AP.add(p6);*/

        Empleado e1=new Empleado();
        e1.setcodEmpleado("0001");
        AE.add(e1);

        Director e0=new Director();
        e0.setcodEmpleado("0000");
        e0.setContraseña("cgc");
        AE.add(e0);
        s.setDirector(e0);

        Caja ca1=new Caja();
        ca1.setCodcaja("1");
        ACA.add(ca1);

        Caja ca2= new Caja();
        ca2.setCodcaja("2");
        ACA.add(ca2);
        s.setCcentral(ca2);

        s.setMCaja(ACA);
        s.setMEmpleado(AE);
        s.setProducto(AP);
        s.setMCliente(AC);
                                                 }
    public static void main(String args[]){
        Sucursal s=new Sucursal();
        carga_datos(s);
        new JFrameIdentificacion(s).setVisible(true);
}

}
